# PetscStrcasecmp

Returns true if the two strings are the same except possibly for case.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscStrcasecmp(const char a[],const char b[],PetscTruth *t)

Not Collective

### Input Parameters

| a | - pointer to first string
| b | - pointer to second string

### Output Parameter

flg -if the two strings are the same

### Notes

Null arguments are ok

### See Also

PetscStrcmp(), PetscStrncmp(), PetscStrgrt()

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages